1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80check_PROGRAMS = test_get$(EXEEXT) test_get_chunked$(EXEEXT) \
81	test_post$(EXEEXT) test_post_form$(EXEEXT) test_put$(EXEEXT) \
82	test_put_chunked$(EXEEXT) test_put_large$(EXEEXT) \
83	test_get11$(EXEEXT) test_post11$(EXEEXT) \
84	test_post_form11$(EXEEXT) test_put11$(EXEEXT) \
85	test_put_large11$(EXEEXT) test_long_header$(EXEEXT)
86subdir = src/testzzuf
87DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
88	$(top_srcdir)/depcomp $(top_srcdir)/test-driver README
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
91	$(top_srcdir)/m4/ax_append_flag.m4 \
92	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
93	$(top_srcdir)/m4/ax_check_link_flag.m4 \
94	$(top_srcdir)/m4/ax_check_openssl.m4 \
95	$(top_srcdir)/m4/ax_count_cpus.m4 \
96	$(top_srcdir)/m4/ax_have_epoll.m4 \
97	$(top_srcdir)/m4/ax_pthread.m4 \
98	$(top_srcdir)/m4/ax_require_defined.m4 \
99	$(top_srcdir)/m4/libcurl.m4 $(top_srcdir)/m4/libgcrypt.m4 \
100	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
101	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
102	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
103	$(top_srcdir)/configure.ac
104am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
105	$(ACLOCAL_M4)
106mkinstalldirs = $(install_sh) -d
107CONFIG_HEADER = $(top_builddir)/MHD_config.h
108CONFIG_CLEAN_FILES =
109CONFIG_CLEAN_VPATH_FILES =
110am_test_get_OBJECTS = test_get.$(OBJEXT)
111test_get_OBJECTS = $(am_test_get_OBJECTS)
112test_get_DEPENDENCIES =  \
113	$(top_builddir)/src/microhttpd/libmicrohttpd.la
114AM_V_lt = $(am__v_lt_@AM_V@)
115am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
116am__v_lt_0 = --silent
117am__v_lt_1 =
118am_test_get11_OBJECTS = test_get.$(OBJEXT)
119test_get11_OBJECTS = $(am_test_get11_OBJECTS)
120test_get11_DEPENDENCIES =  \
121	$(top_builddir)/src/microhttpd/libmicrohttpd.la
122am_test_get_chunked_OBJECTS = test_get_chunked.$(OBJEXT)
123test_get_chunked_OBJECTS = $(am_test_get_chunked_OBJECTS)
124test_get_chunked_DEPENDENCIES =  \
125	$(top_builddir)/src/microhttpd/libmicrohttpd.la
126am_test_long_header_OBJECTS = test_long_header.$(OBJEXT)
127test_long_header_OBJECTS = $(am_test_long_header_OBJECTS)
128test_long_header_DEPENDENCIES =  \
129	$(top_builddir)/src/microhttpd/libmicrohttpd.la
130am_test_post_OBJECTS = test_post.$(OBJEXT)
131test_post_OBJECTS = $(am_test_post_OBJECTS)
132test_post_DEPENDENCIES =  \
133	$(top_builddir)/src/microhttpd/libmicrohttpd.la
134am_test_post11_OBJECTS = test_post.$(OBJEXT)
135test_post11_OBJECTS = $(am_test_post11_OBJECTS)
136test_post11_DEPENDENCIES =  \
137	$(top_builddir)/src/microhttpd/libmicrohttpd.la
138am_test_post_form_OBJECTS = test_post_form.$(OBJEXT)
139test_post_form_OBJECTS = $(am_test_post_form_OBJECTS)
140test_post_form_DEPENDENCIES =  \
141	$(top_builddir)/src/microhttpd/libmicrohttpd.la
142am_test_post_form11_OBJECTS = test_post_form.$(OBJEXT)
143test_post_form11_OBJECTS = $(am_test_post_form11_OBJECTS)
144test_post_form11_DEPENDENCIES =  \
145	$(top_builddir)/src/microhttpd/libmicrohttpd.la
146am_test_put_OBJECTS = test_put.$(OBJEXT)
147test_put_OBJECTS = $(am_test_put_OBJECTS)
148test_put_DEPENDENCIES =  \
149	$(top_builddir)/src/microhttpd/libmicrohttpd.la
150am_test_put11_OBJECTS = test_put.$(OBJEXT)
151test_put11_OBJECTS = $(am_test_put11_OBJECTS)
152test_put11_DEPENDENCIES =  \
153	$(top_builddir)/src/microhttpd/libmicrohttpd.la
154am_test_put_chunked_OBJECTS = test_put_chunked.$(OBJEXT)
155test_put_chunked_OBJECTS = $(am_test_put_chunked_OBJECTS)
156test_put_chunked_DEPENDENCIES =  \
157	$(top_builddir)/src/microhttpd/libmicrohttpd.la
158am_test_put_large_OBJECTS = test_put_large.$(OBJEXT)
159test_put_large_OBJECTS = $(am_test_put_large_OBJECTS)
160test_put_large_DEPENDENCIES =  \
161	$(top_builddir)/src/microhttpd/libmicrohttpd.la
162am_test_put_large11_OBJECTS = test_put_large.$(OBJEXT)
163test_put_large11_OBJECTS = $(am_test_put_large11_OBJECTS)
164test_put_large11_DEPENDENCIES =  \
165	$(top_builddir)/src/microhttpd/libmicrohttpd.la
166AM_V_P = $(am__v_P_@AM_V@)
167am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
168am__v_P_0 = false
169am__v_P_1 = :
170AM_V_GEN = $(am__v_GEN_@AM_V@)
171am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
172am__v_GEN_0 = @echo "  GEN     " $@;
173am__v_GEN_1 =
174AM_V_at = $(am__v_at_@AM_V@)
175am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
176am__v_at_0 = @
177am__v_at_1 =
178DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
179depcomp = $(SHELL) $(top_srcdir)/depcomp
180am__depfiles_maybe = depfiles
181am__mv = mv -f
182COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
183	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
184LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
185	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
186	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
187	$(AM_CFLAGS) $(CFLAGS)
188AM_V_CC = $(am__v_CC_@AM_V@)
189am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
190am__v_CC_0 = @echo "  CC      " $@;
191am__v_CC_1 =
192CCLD = $(CC)
193LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
194	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
195	$(AM_LDFLAGS) $(LDFLAGS) -o $@
196AM_V_CCLD = $(am__v_CCLD_@AM_V@)
197am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
198am__v_CCLD_0 = @echo "  CCLD    " $@;
199am__v_CCLD_1 =
200SOURCES = $(test_get_SOURCES) $(test_get11_SOURCES) \
201	$(test_get_chunked_SOURCES) $(test_long_header_SOURCES) \
202	$(test_post_SOURCES) $(test_post11_SOURCES) \
203	$(test_post_form_SOURCES) $(test_post_form11_SOURCES) \
204	$(test_put_SOURCES) $(test_put11_SOURCES) \
205	$(test_put_chunked_SOURCES) $(test_put_large_SOURCES) \
206	$(test_put_large11_SOURCES)
207DIST_SOURCES = $(test_get_SOURCES) $(test_get11_SOURCES) \
208	$(test_get_chunked_SOURCES) $(test_long_header_SOURCES) \
209	$(test_post_SOURCES) $(test_post11_SOURCES) \
210	$(test_post_form_SOURCES) $(test_post_form11_SOURCES) \
211	$(test_put_SOURCES) $(test_put11_SOURCES) \
212	$(test_put_chunked_SOURCES) $(test_put_large_SOURCES) \
213	$(test_put_large11_SOURCES)
214RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
215	ctags-recursive dvi-recursive html-recursive info-recursive \
216	install-data-recursive install-dvi-recursive \
217	install-exec-recursive install-html-recursive \
218	install-info-recursive install-pdf-recursive \
219	install-ps-recursive install-recursive installcheck-recursive \
220	installdirs-recursive pdf-recursive ps-recursive \
221	tags-recursive uninstall-recursive
222am__can_run_installinfo = \
223  case $$AM_UPDATE_INFO_DIR in \
224    n|no|NO) false;; \
225    *) (install-info --version) >/dev/null 2>&1;; \
226  esac
227RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
228  distclean-recursive maintainer-clean-recursive
229am__recursive_targets = \
230  $(RECURSIVE_TARGETS) \
231  $(RECURSIVE_CLEAN_TARGETS) \
232  $(am__extra_recursive_targets)
233AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
234	check recheck distdir
235am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
236# Read a list of newline-separated strings from the standard input,
237# and print each of them once, without duplicates.  Input order is
238# *not* preserved.
239am__uniquify_input = $(AWK) '\
240  BEGIN { nonempty = 0; } \
241  { items[$$0] = 1; nonempty = 1; } \
242  END { if (nonempty) { for (i in items) print i; }; } \
243'
244# Make sure the list of sources is unique.  This is necessary because,
245# e.g., the same source file might be shared among _SOURCES variables
246# for different programs/libraries.
247am__define_uniq_tagged_files = \
248  list='$(am__tagged_files)'; \
249  unique=`for i in $$list; do \
250    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
251  done | $(am__uniquify_input)`
252ETAGS = etags
253CTAGS = ctags
254am__tty_colors_dummy = \
255  mgn= red= grn= lgn= blu= brg= std=; \
256  am__color_tests=no
257am__tty_colors = { \
258  $(am__tty_colors_dummy); \
259  if test "X$(AM_COLOR_TESTS)" = Xno; then \
260    am__color_tests=no; \
261  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
262    am__color_tests=yes; \
263  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
264    am__color_tests=yes; \
265  fi; \
266  if test $$am__color_tests = yes; then \
267    red=''; \
268    grn=''; \
269    lgn=''; \
270    blu=''; \
271    mgn=''; \
272    brg=''; \
273    std=''; \
274  fi; \
275}
276am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
277am__vpath_adj = case $$p in \
278    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
279    *) f=$$p;; \
280  esac;
281am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
282am__install_max = 40
283am__nobase_strip_setup = \
284  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
285am__nobase_strip = \
286  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
287am__nobase_list = $(am__nobase_strip_setup); \
288  for p in $$list; do echo "$$p $$p"; done | \
289  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
290  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
291    if (++n[$$2] == $(am__install_max)) \
292      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
293    END { for (dir in files) print dir, files[dir] }'
294am__base_list = \
295  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
296  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
297am__uninstall_files_from_dir = { \
298  test -z "$$files" \
299    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
300    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
301         $(am__cd) "$$dir" && rm -f $$files; }; \
302  }
303am__recheck_rx = ^[ 	]*:recheck:[ 	]*
304am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
305am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
306# A command that, given a newline-separated list of test names on the
307# standard input, print the name of the tests that are to be re-run
308# upon "make recheck".
309am__list_recheck_tests = $(AWK) '{ \
310  recheck = 1; \
311  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
312    { \
313      if (rc < 0) \
314        { \
315          if ((getline line2 < ($$0 ".log")) < 0) \
316	    recheck = 0; \
317          break; \
318        } \
319      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
320        { \
321          recheck = 0; \
322          break; \
323        } \
324      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
325        { \
326          break; \
327        } \
328    }; \
329  if (recheck) \
330    print $$0; \
331  close ($$0 ".trs"); \
332  close ($$0 ".log"); \
333}'
334# A command that, given a newline-separated list of test names on the
335# standard input, create the global log from their .trs and .log files.
336am__create_global_log = $(AWK) ' \
337function fatal(msg) \
338{ \
339  print "fatal: making $@: " msg | "cat >&2"; \
340  exit 1; \
341} \
342function rst_section(header) \
343{ \
344  print header; \
345  len = length(header); \
346  for (i = 1; i <= len; i = i + 1) \
347    printf "="; \
348  printf "\n\n"; \
349} \
350{ \
351  copy_in_global_log = 1; \
352  global_test_result = "RUN"; \
353  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
354    { \
355      if (rc < 0) \
356         fatal("failed to read from " $$0 ".trs"); \
357      if (line ~ /$(am__global_test_result_rx)/) \
358        { \
359          sub("$(am__global_test_result_rx)", "", line); \
360          sub("[ 	]*$$", "", line); \
361          global_test_result = line; \
362        } \
363      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
364        copy_in_global_log = 0; \
365    }; \
366  if (copy_in_global_log) \
367    { \
368      rst_section(global_test_result ": " $$0); \
369      while ((rc = (getline line < ($$0 ".log"))) != 0) \
370      { \
371        if (rc < 0) \
372          fatal("failed to read from " $$0 ".log"); \
373        print line; \
374      }; \
375      printf "\n"; \
376    }; \
377  close ($$0 ".trs"); \
378  close ($$0 ".log"); \
379}'
380# Restructured Text title.
381am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
382# Solaris 10 'make', and several other traditional 'make' implementations,
383# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
384# by disabling -e (using the XSI extension "set +e") if it's set.
385am__sh_e_setup = case $$- in *e*) set +e;; esac
386# Default flags passed to test drivers.
387am__common_driver_flags = \
388  --color-tests "$$am__color_tests" \
389  --enable-hard-errors "$$am__enable_hard_errors" \
390  --expect-failure "$$am__expect_failure"
391# To be inserted before the command running the test.  Creates the
392# directory for the log if needed.  Stores in $dir the directory
393# containing $f, in $tst the test, in $log the log.  Executes the
394# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
395# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
396# will run the test scripts (or their associated LOG_COMPILER, if
397# thy have one).
398am__check_pre = \
399$(am__sh_e_setup);					\
400$(am__vpath_adj_setup) $(am__vpath_adj)			\
401$(am__tty_colors);					\
402srcdir=$(srcdir); export srcdir;			\
403case "$@" in						\
404  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
405    *) am__odir=.;; 					\
406esac;							\
407test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
408  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
409if test -f "./$$f"; then dir=./;			\
410elif test -f "$$f"; then dir=;				\
411else dir="$(srcdir)/"; fi;				\
412tst=$$dir$$f; log='$@'; 				\
413if test -n '$(DISABLE_HARD_ERRORS)'; then		\
414  am__enable_hard_errors=no; 				\
415else							\
416  am__enable_hard_errors=yes; 				\
417fi; 							\
418case " $(XFAIL_TESTS) " in				\
419  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
420    am__expect_failure=yes;;				\
421  *)							\
422    am__expect_failure=no;;				\
423esac; 							\
424$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
425# A shell command to get the names of the tests scripts with any registered
426# extension removed (i.e., equivalently, the names of the test logs, with
427# the '.log' extension removed).  The result is saved in the shell variable
428# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
429# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
430# since that might cause problem with VPATH rewrites for suffix-less tests.
431# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
432am__set_TESTS_bases = \
433  bases='$(TEST_LOGS)'; \
434  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
435  bases=`echo $$bases`
436RECHECK_LOGS = $(TEST_LOGS)
437TEST_SUITE_LOG = test-suite.log
438TEST_EXTENSIONS = @EXEEXT@ .test
439LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
440LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
441am__set_b = \
442  case '$@' in \
443    */*) \
444      case '$*' in \
445        */*) b='$*';; \
446          *) b=`echo '$@' | sed 's/\.log$$//'`; \
447       esac;; \
448    *) \
449      b='$*';; \
450  esac
451am__test_logs1 = $(TESTS:=.log)
452am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
453TEST_LOGS = $(am__test_logs2:.test.log=.log)
454TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
455TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
456	$(TEST_LOG_FLAGS)
457DIST_SUBDIRS = $(SUBDIRS)
458DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
459am__relativize = \
460  dir0=`pwd`; \
461  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
462  sed_rest='s,^[^/]*/*,,'; \
463  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
464  sed_butlast='s,/*[^/]*$$,,'; \
465  while test -n "$$dir1"; do \
466    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
467    if test "$$first" != "."; then \
468      if test "$$first" = ".."; then \
469        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
470        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
471      else \
472        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
473        if test "$$first2" = "$$first"; then \
474          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
475        else \
476          dir2="../$$dir2"; \
477        fi; \
478        dir0="$$dir0"/"$$first"; \
479      fi; \
480    fi; \
481    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
482  done; \
483  reldir="$$dir2"
484ACLOCAL = @ACLOCAL@
485AMTAR = @AMTAR@
486AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
487AR = @AR@
488AS = @AS@
489AUTOCONF = @AUTOCONF@
490AUTOHEADER = @AUTOHEADER@
491AUTOMAKE = @AUTOMAKE@
492AWK = @AWK@
493CC = @CC@
494CCDEPMODE = @CCDEPMODE@
495CFLAGS = @CFLAGS@
496CPP = @CPP@
497CPPFLAGS = @CPPFLAGS@
498CPU_COUNT = @CPU_COUNT@
499CYGPATH_W = @CYGPATH_W@
500DEFS = @DEFS@
501DEPDIR = @DEPDIR@
502DLLTOOL = @DLLTOOL@
503DSYMUTIL = @DSYMUTIL@
504DUMPBIN = @DUMPBIN@
505ECHO_C = @ECHO_C@
506ECHO_N = @ECHO_N@
507ECHO_T = @ECHO_T@
508EGREP = @EGREP@
509EXEEXT = @EXEEXT@
510FGREP = @FGREP@
511GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
512GNUTLS_CPPFLAGS = @GNUTLS_CPPFLAGS@
513GNUTLS_LDFLAGS = @GNUTLS_LDFLAGS@
514GNUTLS_LIBS = @GNUTLS_LIBS@
515GREP = @GREP@
516HAVE_CURL_BINARY = @HAVE_CURL_BINARY@
517HAVE_MAKEINFO_BINARY = @HAVE_MAKEINFO_BINARY@
518HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
519INSTALL = @INSTALL@
520INSTALL_DATA = @INSTALL_DATA@
521INSTALL_PROGRAM = @INSTALL_PROGRAM@
522INSTALL_SCRIPT = @INSTALL_SCRIPT@
523INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
524LD = @LD@
525LDFLAGS = @LDFLAGS@
526LIBCURL = @LIBCURL@
527LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
528LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
529LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
530LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
531LIBOBJS = @LIBOBJS@
532LIBS = @LIBS@
533LIBSPDY_VERSION_AGE = @LIBSPDY_VERSION_AGE@
534LIBSPDY_VERSION_CURRENT = @LIBSPDY_VERSION_CURRENT@
535LIBSPDY_VERSION_REVISION = @LIBSPDY_VERSION_REVISION@
536LIBTOOL = @LIBTOOL@
537LIB_VERSION_AGE = @LIB_VERSION_AGE@
538LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@
539LIB_VERSION_REVISION = @LIB_VERSION_REVISION@
540LIPO = @LIPO@
541LN_S = @LN_S@
542LTLIBOBJS = @LTLIBOBJS@
543MAKEINFO = @MAKEINFO@
544MANIFEST_TOOL = @MANIFEST_TOOL@
545MHD_LIBDEPS = @MHD_LIBDEPS@
546MHD_LIBDEPS_PKGCFG = @MHD_LIBDEPS_PKGCFG@
547MHD_LIB_CFLAGS = @MHD_LIB_CFLAGS@
548MHD_LIB_CPPFLAGS = @MHD_LIB_CPPFLAGS@
549MHD_LIB_LDFLAGS = @MHD_LIB_LDFLAGS@
550MHD_REQ_PRIVATE = @MHD_REQ_PRIVATE@
551MKDIR_P = @MKDIR_P@
552MS_LIB_TOOL = @MS_LIB_TOOL@
553NM = @NM@
554NMEDIT = @NMEDIT@
555OBJDUMP = @OBJDUMP@
556OBJEXT = @OBJEXT@
557OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
558OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
559OPENSSL_LIBS = @OPENSSL_LIBS@
560OTOOL = @OTOOL@
561OTOOL64 = @OTOOL64@
562PACKAGE = @PACKAGE@
563PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
564PACKAGE_NAME = @PACKAGE_NAME@
565PACKAGE_STRING = @PACKAGE_STRING@
566PACKAGE_TARNAME = @PACKAGE_TARNAME@
567PACKAGE_URL = @PACKAGE_URL@
568PACKAGE_VERSION = @PACKAGE_VERSION@
569PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
570PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
571PACKAGE_VERSION_SUBMINOR = @PACKAGE_VERSION_SUBMINOR@
572PATH_SEPARATOR = @PATH_SEPARATOR@
573PKG_CONFIG = @PKG_CONFIG@
574PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
575PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
576PTHREAD_CC = @PTHREAD_CC@
577PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
578PTHREAD_LIBS = @PTHREAD_LIBS@
579RANLIB = @RANLIB@
580RC = @RC@
581SED = @SED@
582SET_MAKE = @SET_MAKE@
583SHELL = @SHELL@
584SPDY_LIBDEPS = @SPDY_LIBDEPS@
585SPDY_LIB_CFLAGS = @SPDY_LIB_CFLAGS@
586SPDY_LIB_CPPFLAGS = @SPDY_LIB_CPPFLAGS@
587SPDY_LIB_LDFLAGS = @SPDY_LIB_LDFLAGS@
588STRIP = @STRIP@
589VERSION = @VERSION@
590_libcurl_config = @_libcurl_config@
591abs_builddir = @abs_builddir@
592abs_srcdir = @abs_srcdir@
593abs_top_builddir = @abs_top_builddir@
594abs_top_srcdir = @abs_top_srcdir@
595ac_ct_AR = @ac_ct_AR@
596ac_ct_CC = @ac_ct_CC@
597ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
598am__include = @am__include@
599am__leading_dot = @am__leading_dot@
600am__quote = @am__quote@
601am__tar = @am__tar@
602am__untar = @am__untar@
603ax_pthread_config = @ax_pthread_config@
604bindir = @bindir@
605build = @build@
606build_alias = @build_alias@
607build_cpu = @build_cpu@
608build_os = @build_os@
609build_vendor = @build_vendor@
610builddir = @builddir@
611datadir = @datadir@
612datarootdir = @datarootdir@
613docdir = @docdir@
614dvidir = @dvidir@
615exec_prefix = @exec_prefix@
616have_socat = @have_socat@
617have_zzuf = @have_zzuf@
618host = @host@
619host_alias = @host_alias@
620host_cpu = @host_cpu@
621host_os = @host_os@
622host_vendor = @host_vendor@
623htmldir = @htmldir@
624includedir = @includedir@
625infodir = @infodir@
626install_sh = @install_sh@
627libdir = @libdir@
628libexecdir = @libexecdir@
629localedir = @localedir@
630localstatedir = @localstatedir@
631lt_cv_objdir = @lt_cv_objdir@
632mandir = @mandir@
633mkdir_p = @mkdir_p@
634oldincludedir = @oldincludedir@
635pdfdir = @pdfdir@
636prefix = @prefix@
637program_transform_name = @program_transform_name@
638psdir = @psdir@
639sbindir = @sbindir@
640sharedstatedir = @sharedstatedir@
641srcdir = @srcdir@
642sysconfdir = @sysconfdir@
643target_alias = @target_alias@
644top_build_prefix = @top_build_prefix@
645top_builddir = @top_builddir@
646top_srcdir = @top_srcdir@
647
648# This Makefile.am is in the public domain
649SUBDIRS = .
650@USE_COVERAGE_TRUE@AM_CFLAGS = -fprofile-arcs -ftest-coverage
651AM_CPPFLAGS = -I$(top_srcdir)/src/include \
652  $(LIBCURL_CPPFLAGS)
653
654EXTRA_DIST = README socat.c
655TESTS = $(check_PROGRAMS)
656test_get_SOURCES = \
657  test_get.c
658
659test_get_LDADD = \
660  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
661  @LIBCURL@
662
663test_get_chunked_SOURCES = \
664  test_get_chunked.c
665
666test_get_chunked_LDADD = \
667  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
668  @LIBCURL@
669
670test_post_SOURCES = \
671  test_post.c
672
673test_post_LDADD = \
674  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
675  @LIBCURL@
676
677test_post_form_SOURCES = \
678  test_post_form.c
679
680test_post_form_LDADD = \
681  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
682  @LIBCURL@
683
684test_put_SOURCES = \
685  test_put.c
686
687test_put_LDADD = \
688  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
689  @LIBCURL@
690
691test_put_chunked_SOURCES = \
692  test_put_chunked.c
693
694test_put_chunked_LDADD = \
695  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
696  @LIBCURL@
697
698test_put_large_SOURCES = \
699  test_put_large.c
700
701test_put_large_LDADD = \
702  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
703  @LIBCURL@
704
705test_get11_SOURCES = \
706  test_get.c
707
708test_get11_LDADD = \
709  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
710  @LIBCURL@
711
712test_post11_SOURCES = \
713  test_post.c
714
715test_post11_LDADD = \
716  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
717  @LIBCURL@
718
719test_post_form11_SOURCES = \
720  test_post_form.c
721
722test_post_form11_LDADD = \
723  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
724  @LIBCURL@
725
726test_put11_SOURCES = \
727  test_put.c
728
729test_put11_LDADD = \
730  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
731  @LIBCURL@
732
733test_put_large11_SOURCES = \
734  test_put_large.c
735
736test_put_large11_LDADD = \
737  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
738  @LIBCURL@
739
740test_long_header_SOURCES = \
741  test_long_header.c
742
743test_long_header_LDADD = \
744  $(top_builddir)/src/microhttpd/libmicrohttpd.la \
745  @LIBCURL@
746
747all: all-recursive
748
749.SUFFIXES:
750.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
751$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
752	@for dep in $?; do \
753	  case '$(am__configure_deps)' in \
754	    *$$dep*) \
755	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
756	        && { if test -f $@; then exit 0; else break; fi; }; \
757	      exit 1;; \
758	  esac; \
759	done; \
760	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testzzuf/Makefile'; \
761	$(am__cd) $(top_srcdir) && \
762	  $(AUTOMAKE) --gnu src/testzzuf/Makefile
763.PRECIOUS: Makefile
764Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
765	@case '$?' in \
766	  *config.status*) \
767	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
768	  *) \
769	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
770	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
771	esac;
772
773$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
774	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
775
776$(top_srcdir)/configure:  $(am__configure_deps)
777	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
778$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
779	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780$(am__aclocal_m4_deps):
781
782clean-checkPROGRAMS:
783	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
784	echo " rm -f" $$list; \
785	rm -f $$list || exit $$?; \
786	test -n "$(EXEEXT)" || exit 0; \
787	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
788	echo " rm -f" $$list; \
789	rm -f $$list
790
791test_get$(EXEEXT): $(test_get_OBJECTS) $(test_get_DEPENDENCIES) $(EXTRA_test_get_DEPENDENCIES)
792	@rm -f test_get$(EXEEXT)
793	$(AM_V_CCLD)$(LINK) $(test_get_OBJECTS) $(test_get_LDADD) $(LIBS)
794
795test_get11$(EXEEXT): $(test_get11_OBJECTS) $(test_get11_DEPENDENCIES) $(EXTRA_test_get11_DEPENDENCIES)
796	@rm -f test_get11$(EXEEXT)
797	$(AM_V_CCLD)$(LINK) $(test_get11_OBJECTS) $(test_get11_LDADD) $(LIBS)
798
799test_get_chunked$(EXEEXT): $(test_get_chunked_OBJECTS) $(test_get_chunked_DEPENDENCIES) $(EXTRA_test_get_chunked_DEPENDENCIES)
800	@rm -f test_get_chunked$(EXEEXT)
801	$(AM_V_CCLD)$(LINK) $(test_get_chunked_OBJECTS) $(test_get_chunked_LDADD) $(LIBS)
802
803test_long_header$(EXEEXT): $(test_long_header_OBJECTS) $(test_long_header_DEPENDENCIES) $(EXTRA_test_long_header_DEPENDENCIES)
804	@rm -f test_long_header$(EXEEXT)
805	$(AM_V_CCLD)$(LINK) $(test_long_header_OBJECTS) $(test_long_header_LDADD) $(LIBS)
806
807test_post$(EXEEXT): $(test_post_OBJECTS) $(test_post_DEPENDENCIES) $(EXTRA_test_post_DEPENDENCIES)
808	@rm -f test_post$(EXEEXT)
809	$(AM_V_CCLD)$(LINK) $(test_post_OBJECTS) $(test_post_LDADD) $(LIBS)
810
811test_post11$(EXEEXT): $(test_post11_OBJECTS) $(test_post11_DEPENDENCIES) $(EXTRA_test_post11_DEPENDENCIES)
812	@rm -f test_post11$(EXEEXT)
813	$(AM_V_CCLD)$(LINK) $(test_post11_OBJECTS) $(test_post11_LDADD) $(LIBS)
814
815test_post_form$(EXEEXT): $(test_post_form_OBJECTS) $(test_post_form_DEPENDENCIES) $(EXTRA_test_post_form_DEPENDENCIES)
816	@rm -f test_post_form$(EXEEXT)
817	$(AM_V_CCLD)$(LINK) $(test_post_form_OBJECTS) $(test_post_form_LDADD) $(LIBS)
818
819test_post_form11$(EXEEXT): $(test_post_form11_OBJECTS) $(test_post_form11_DEPENDENCIES) $(EXTRA_test_post_form11_DEPENDENCIES)
820	@rm -f test_post_form11$(EXEEXT)
821	$(AM_V_CCLD)$(LINK) $(test_post_form11_OBJECTS) $(test_post_form11_LDADD) $(LIBS)
822
823test_put$(EXEEXT): $(test_put_OBJECTS) $(test_put_DEPENDENCIES) $(EXTRA_test_put_DEPENDENCIES)
824	@rm -f test_put$(EXEEXT)
825	$(AM_V_CCLD)$(LINK) $(test_put_OBJECTS) $(test_put_LDADD) $(LIBS)
826
827test_put11$(EXEEXT): $(test_put11_OBJECTS) $(test_put11_DEPENDENCIES) $(EXTRA_test_put11_DEPENDENCIES)
828	@rm -f test_put11$(EXEEXT)
829	$(AM_V_CCLD)$(LINK) $(test_put11_OBJECTS) $(test_put11_LDADD) $(LIBS)
830
831test_put_chunked$(EXEEXT): $(test_put_chunked_OBJECTS) $(test_put_chunked_DEPENDENCIES) $(EXTRA_test_put_chunked_DEPENDENCIES)
832	@rm -f test_put_chunked$(EXEEXT)
833	$(AM_V_CCLD)$(LINK) $(test_put_chunked_OBJECTS) $(test_put_chunked_LDADD) $(LIBS)
834
835test_put_large$(EXEEXT): $(test_put_large_OBJECTS) $(test_put_large_DEPENDENCIES) $(EXTRA_test_put_large_DEPENDENCIES)
836	@rm -f test_put_large$(EXEEXT)
837	$(AM_V_CCLD)$(LINK) $(test_put_large_OBJECTS) $(test_put_large_LDADD) $(LIBS)
838
839test_put_large11$(EXEEXT): $(test_put_large11_OBJECTS) $(test_put_large11_DEPENDENCIES) $(EXTRA_test_put_large11_DEPENDENCIES)
840	@rm -f test_put_large11$(EXEEXT)
841	$(AM_V_CCLD)$(LINK) $(test_put_large11_OBJECTS) $(test_put_large11_LDADD) $(LIBS)
842
843mostlyclean-compile:
844	-rm -f *.$(OBJEXT)
845
846distclean-compile:
847	-rm -f *.tab.c
848
849@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get.Po@am__quote@
850@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get_chunked.Po@am__quote@
851@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_long_header.Po@am__quote@
852@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_post.Po@am__quote@
853@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_post_form.Po@am__quote@
854@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put.Po@am__quote@
855@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put_chunked.Po@am__quote@
856@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put_large.Po@am__quote@
857
858.c.o:
859@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
860@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
861@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
862@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
863@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
865
866.c.obj:
867@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
868@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
869@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
870@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
871@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
872@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
873
874.c.lo:
875@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
876@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
877@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
878@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
879@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
881
882mostlyclean-libtool:
883	-rm -f *.lo
884
885clean-libtool:
886	-rm -rf .libs _libs
887
888# This directory's subdirectories are mostly independent; you can cd
889# into them and run 'make' without going through this Makefile.
890# To change the values of 'make' variables: instead of editing Makefiles,
891# (1) if the variable is set in 'config.status', edit 'config.status'
892#     (which will cause the Makefiles to be regenerated when you run 'make');
893# (2) otherwise, pass the desired values on the 'make' command line.
894$(am__recursive_targets):
895	@fail=; \
896	if $(am__make_keepgoing); then \
897	  failcom='fail=yes'; \
898	else \
899	  failcom='exit 1'; \
900	fi; \
901	dot_seen=no; \
902	target=`echo $@ | sed s/-recursive//`; \
903	case "$@" in \
904	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
905	  *) list='$(SUBDIRS)' ;; \
906	esac; \
907	for subdir in $$list; do \
908	  echo "Making $$target in $$subdir"; \
909	  if test "$$subdir" = "."; then \
910	    dot_seen=yes; \
911	    local_target="$$target-am"; \
912	  else \
913	    local_target="$$target"; \
914	  fi; \
915	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
916	  || eval $$failcom; \
917	done; \
918	if test "$$dot_seen" = "no"; then \
919	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
920	fi; test -z "$$fail"
921
922ID: $(am__tagged_files)
923	$(am__define_uniq_tagged_files); mkid -fID $$unique
924tags: tags-recursive
925TAGS: tags
926
927tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
928	set x; \
929	here=`pwd`; \
930	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
931	  include_option=--etags-include; \
932	  empty_fix=.; \
933	else \
934	  include_option=--include; \
935	  empty_fix=; \
936	fi; \
937	list='$(SUBDIRS)'; for subdir in $$list; do \
938	  if test "$$subdir" = .; then :; else \
939	    test ! -f $$subdir/TAGS || \
940	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
941	  fi; \
942	done; \
943	$(am__define_uniq_tagged_files); \
944	shift; \
945	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
946	  test -n "$$unique" || unique=$$empty_fix; \
947	  if test $$# -gt 0; then \
948	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
949	      "$$@" $$unique; \
950	  else \
951	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
952	      $$unique; \
953	  fi; \
954	fi
955ctags: ctags-recursive
956
957CTAGS: ctags
958ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
959	$(am__define_uniq_tagged_files); \
960	test -z "$(CTAGS_ARGS)$$unique" \
961	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
962	     $$unique
963
964GTAGS:
965	here=`$(am__cd) $(top_builddir) && pwd` \
966	  && $(am__cd) $(top_srcdir) \
967	  && gtags -i $(GTAGS_ARGS) "$$here"
968cscopelist: cscopelist-recursive
969
970cscopelist-am: $(am__tagged_files)
971	list='$(am__tagged_files)'; \
972	case "$(srcdir)" in \
973	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
974	  *) sdir=$(subdir)/$(srcdir) ;; \
975	esac; \
976	for i in $$list; do \
977	  if test -f "$$i"; then \
978	    echo "$(subdir)/$$i"; \
979	  else \
980	    echo "$$sdir/$$i"; \
981	  fi; \
982	done >> $(top_builddir)/cscope.files
983
984distclean-tags:
985	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
986
987# Recover from deleted '.trs' file; this should ensure that
988# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
989# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
990# to avoid problems with "make -n".
991.log.trs:
992	rm -f $< $@
993	$(MAKE) $(AM_MAKEFLAGS) $<
994
995# Leading 'am--fnord' is there to ensure the list of targets does not
996# expand to empty, as could happen e.g. with make check TESTS=''.
997am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
998am--force-recheck:
999	@:
1000
1001$(TEST_SUITE_LOG): $(TEST_LOGS)
1002	@$(am__set_TESTS_bases); \
1003	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1004	redo_bases=`for i in $$bases; do \
1005	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1006	            done`; \
1007	if test -n "$$redo_bases"; then \
1008	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1009	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1010	  if $(am__make_dryrun); then :; else \
1011	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1012	  fi; \
1013	fi; \
1014	if test -n "$$am__remaking_logs"; then \
1015	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1016	       "recursion detected" >&2; \
1017	else \
1018	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1019	fi; \
1020	if $(am__make_dryrun); then :; else \
1021	  st=0;  \
1022	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1023	  for i in $$redo_bases; do \
1024	    test -f $$i.trs && test -r $$i.trs \
1025	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1026	    test -f $$i.log && test -r $$i.log \
1027	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1028	  done; \
1029	  test $$st -eq 0 || exit 1; \
1030	fi
1031	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1032	ws='[ 	]'; \
1033	results=`for b in $$bases; do echo $$b.trs; done`; \
1034	test -n "$$results" || results=/dev/null; \
1035	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1036	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1037	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1038	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1039	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1040	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1041	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1042	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1043	  success=true; \
1044	else \
1045	  success=false; \
1046	fi; \
1047	br='==================='; br=$$br$$br$$br$$br; \
1048	result_count () \
1049	{ \
1050	    if test x"$$1" = x"--maybe-color"; then \
1051	      maybe_colorize=yes; \
1052	    elif test x"$$1" = x"--no-color"; then \
1053	      maybe_colorize=no; \
1054	    else \
1055	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1056	    fi; \
1057	    shift; \
1058	    desc=$$1 count=$$2; \
1059	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1060	      color_start=$$3 color_end=$$std; \
1061	    else \
1062	      color_start= color_end=; \
1063	    fi; \
1064	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1065	}; \
1066	create_testsuite_report () \
1067	{ \
1068	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1069	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1070	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1071	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1072	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1073	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1074	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1075	}; \
1076	{								\
1077	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1078	    $(am__rst_title);						\
1079	  create_testsuite_report --no-color;				\
1080	  echo;								\
1081	  echo ".. contents:: :depth: 2";				\
1082	  echo;								\
1083	  for b in $$bases; do echo $$b; done				\
1084	    | $(am__create_global_log);					\
1085	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1086	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1087	if $$success; then						\
1088	  col="$$grn";							\
1089	 else								\
1090	  col="$$red";							\
1091	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1092	fi;								\
1093	echo "$${col}$$br$${std}"; 					\
1094	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1095	echo "$${col}$$br$${std}"; 					\
1096	create_testsuite_report --maybe-color;				\
1097	echo "$$col$$br$$std";						\
1098	if $$success; then :; else					\
1099	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1100	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1101	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1102	  fi;								\
1103	  echo "$$col$$br$$std";					\
1104	fi;								\
1105	$$success || exit 1
1106
1107check-TESTS:
1108	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1109	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1110	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1111	@set +e; $(am__set_TESTS_bases); \
1112	log_list=`for i in $$bases; do echo $$i.log; done`; \
1113	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1114	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1115	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1116	exit $$?;
1117recheck: all $(check_PROGRAMS)
1118	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1119	@set +e; $(am__set_TESTS_bases); \
1120	bases=`for i in $$bases; do echo $$i; done \
1121	         | $(am__list_recheck_tests)` || exit 1; \
1122	log_list=`for i in $$bases; do echo $$i.log; done`; \
1123	log_list=`echo $$log_list`; \
1124	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1125	        am__force_recheck=am--force-recheck \
1126	        TEST_LOGS="$$log_list"; \
1127	exit $$?
1128test_get.log: test_get$(EXEEXT)
1129	@p='test_get$(EXEEXT)'; \
1130	b='test_get'; \
1131	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1132	--log-file $$b.log --trs-file $$b.trs \
1133	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1134	"$$tst" $(AM_TESTS_FD_REDIRECT)
1135test_get_chunked.log: test_get_chunked$(EXEEXT)
1136	@p='test_get_chunked$(EXEEXT)'; \
1137	b='test_get_chunked'; \
1138	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1139	--log-file $$b.log --trs-file $$b.trs \
1140	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1141	"$$tst" $(AM_TESTS_FD_REDIRECT)
1142test_post.log: test_post$(EXEEXT)
1143	@p='test_post$(EXEEXT)'; \
1144	b='test_post'; \
1145	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1146	--log-file $$b.log --trs-file $$b.trs \
1147	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1148	"$$tst" $(AM_TESTS_FD_REDIRECT)
1149test_post_form.log: test_post_form$(EXEEXT)
1150	@p='test_post_form$(EXEEXT)'; \
1151	b='test_post_form'; \
1152	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1153	--log-file $$b.log --trs-file $$b.trs \
1154	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1155	"$$tst" $(AM_TESTS_FD_REDIRECT)
1156test_put.log: test_put$(EXEEXT)
1157	@p='test_put$(EXEEXT)'; \
1158	b='test_put'; \
1159	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1160	--log-file $$b.log --trs-file $$b.trs \
1161	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1162	"$$tst" $(AM_TESTS_FD_REDIRECT)
1163test_put_chunked.log: test_put_chunked$(EXEEXT)
1164	@p='test_put_chunked$(EXEEXT)'; \
1165	b='test_put_chunked'; \
1166	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1167	--log-file $$b.log --trs-file $$b.trs \
1168	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1169	"$$tst" $(AM_TESTS_FD_REDIRECT)
1170test_put_large.log: test_put_large$(EXEEXT)
1171	@p='test_put_large$(EXEEXT)'; \
1172	b='test_put_large'; \
1173	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1174	--log-file $$b.log --trs-file $$b.trs \
1175	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1176	"$$tst" $(AM_TESTS_FD_REDIRECT)
1177test_get11.log: test_get11$(EXEEXT)
1178	@p='test_get11$(EXEEXT)'; \
1179	b='test_get11'; \
1180	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1181	--log-file $$b.log --trs-file $$b.trs \
1182	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1183	"$$tst" $(AM_TESTS_FD_REDIRECT)
1184test_post11.log: test_post11$(EXEEXT)
1185	@p='test_post11$(EXEEXT)'; \
1186	b='test_post11'; \
1187	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1188	--log-file $$b.log --trs-file $$b.trs \
1189	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1190	"$$tst" $(AM_TESTS_FD_REDIRECT)
1191test_post_form11.log: test_post_form11$(EXEEXT)
1192	@p='test_post_form11$(EXEEXT)'; \
1193	b='test_post_form11'; \
1194	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1195	--log-file $$b.log --trs-file $$b.trs \
1196	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1197	"$$tst" $(AM_TESTS_FD_REDIRECT)
1198test_put11.log: test_put11$(EXEEXT)
1199	@p='test_put11$(EXEEXT)'; \
1200	b='test_put11'; \
1201	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1202	--log-file $$b.log --trs-file $$b.trs \
1203	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1204	"$$tst" $(AM_TESTS_FD_REDIRECT)
1205test_put_large11.log: test_put_large11$(EXEEXT)
1206	@p='test_put_large11$(EXEEXT)'; \
1207	b='test_put_large11'; \
1208	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1209	--log-file $$b.log --trs-file $$b.trs \
1210	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1211	"$$tst" $(AM_TESTS_FD_REDIRECT)
1212test_long_header.log: test_long_header$(EXEEXT)
1213	@p='test_long_header$(EXEEXT)'; \
1214	b='test_long_header'; \
1215	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1216	--log-file $$b.log --trs-file $$b.trs \
1217	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1218	"$$tst" $(AM_TESTS_FD_REDIRECT)
1219.test.log:
1220	@p='$<'; \
1221	$(am__set_b); \
1222	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1223	--log-file $$b.log --trs-file $$b.trs \
1224	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1225	"$$tst" $(AM_TESTS_FD_REDIRECT)
1226@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1227@am__EXEEXT_TRUE@	@p='$<'; \
1228@am__EXEEXT_TRUE@	$(am__set_b); \
1229@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1230@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1231@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1232@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1233
1234distdir: $(DISTFILES)
1235	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1236	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1237	list='$(DISTFILES)'; \
1238	  dist_files=`for file in $$list; do echo $$file; done | \
1239	  sed -e "s|^$$srcdirstrip/||;t" \
1240	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1241	case $$dist_files in \
1242	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1243			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1244			   sort -u` ;; \
1245	esac; \
1246	for file in $$dist_files; do \
1247	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1248	  if test -d $$d/$$file; then \
1249	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1250	    if test -d "$(distdir)/$$file"; then \
1251	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1252	    fi; \
1253	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1254	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1255	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1256	    fi; \
1257	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1258	  else \
1259	    test -f "$(distdir)/$$file" \
1260	    || cp -p $$d/$$file "$(distdir)/$$file" \
1261	    || exit 1; \
1262	  fi; \
1263	done
1264	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1265	  if test "$$subdir" = .; then :; else \
1266	    $(am__make_dryrun) \
1267	      || test -d "$(distdir)/$$subdir" \
1268	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1269	      || exit 1; \
1270	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1271	    $(am__relativize); \
1272	    new_distdir=$$reldir; \
1273	    dir1=$$subdir; dir2="$(top_distdir)"; \
1274	    $(am__relativize); \
1275	    new_top_distdir=$$reldir; \
1276	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1277	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1278	    ($(am__cd) $$subdir && \
1279	      $(MAKE) $(AM_MAKEFLAGS) \
1280	        top_distdir="$$new_top_distdir" \
1281	        distdir="$$new_distdir" \
1282		am__remove_distdir=: \
1283		am__skip_length_check=: \
1284		am__skip_mode_fix=: \
1285	        distdir) \
1286	      || exit 1; \
1287	  fi; \
1288	done
1289check-am: all-am
1290	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1291	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1292check: check-recursive
1293all-am: Makefile
1294installdirs: installdirs-recursive
1295installdirs-am:
1296install: install-recursive
1297install-exec: install-exec-recursive
1298install-data: install-data-recursive
1299uninstall: uninstall-recursive
1300
1301install-am: all-am
1302	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1303
1304installcheck: installcheck-recursive
1305install-strip:
1306	if test -z '$(STRIP)'; then \
1307	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1308	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1309	      install; \
1310	else \
1311	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1312	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1313	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1314	fi
1315mostlyclean-generic:
1316	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1317	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1318	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1319
1320clean-generic:
1321
1322distclean-generic:
1323	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1324	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1325
1326maintainer-clean-generic:
1327	@echo "This command is intended for maintainers to use"
1328	@echo "it deletes files that may require special tools to rebuild."
1329clean: clean-recursive
1330
1331clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1332	mostlyclean-am
1333
1334distclean: distclean-recursive
1335	-rm -rf ./$(DEPDIR)
1336	-rm -f Makefile
1337distclean-am: clean-am distclean-compile distclean-generic \
1338	distclean-tags
1339
1340dvi: dvi-recursive
1341
1342dvi-am:
1343
1344html: html-recursive
1345
1346html-am:
1347
1348info: info-recursive
1349
1350info-am:
1351
1352install-data-am:
1353
1354install-dvi: install-dvi-recursive
1355
1356install-dvi-am:
1357
1358install-exec-am:
1359
1360install-html: install-html-recursive
1361
1362install-html-am:
1363
1364install-info: install-info-recursive
1365
1366install-info-am:
1367
1368install-man:
1369
1370install-pdf: install-pdf-recursive
1371
1372install-pdf-am:
1373
1374install-ps: install-ps-recursive
1375
1376install-ps-am:
1377
1378installcheck-am:
1379
1380maintainer-clean: maintainer-clean-recursive
1381	-rm -rf ./$(DEPDIR)
1382	-rm -f Makefile
1383maintainer-clean-am: distclean-am maintainer-clean-generic
1384
1385mostlyclean: mostlyclean-recursive
1386
1387mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1388	mostlyclean-libtool
1389
1390pdf: pdf-recursive
1391
1392pdf-am:
1393
1394ps: ps-recursive
1395
1396ps-am:
1397
1398uninstall-am:
1399
1400.MAKE: $(am__recursive_targets) check-am install-am install-strip
1401
1402.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1403	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1404	clean-libtool cscopelist-am ctags ctags-am distclean \
1405	distclean-compile distclean-generic distclean-libtool \
1406	distclean-tags distdir dvi dvi-am html html-am info info-am \
1407	install install-am install-data install-data-am install-dvi \
1408	install-dvi-am install-exec install-exec-am install-html \
1409	install-html-am install-info install-info-am install-man \
1410	install-pdf install-pdf-am install-ps install-ps-am \
1411	install-strip installcheck installcheck-am installdirs \
1412	installdirs-am maintainer-clean maintainer-clean-generic \
1413	mostlyclean mostlyclean-compile mostlyclean-generic \
1414	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1415	uninstall uninstall-am
1416
1417
1418# Tell versions [3.59,3.63) of GNU make to not export all variables.
1419# Otherwise a system limit (for SysV at least) may be exceeded.
1420.NOEXPORT:
1421